Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.model.opstatus
Interface OperationalStatusGenericModel

All Superinterfaces:
  ByClassesGenericModel, GenericModel

All Known Implementing Classes:
  OperationalStatusMfModel

public interface OperationalStatusGenericModel
extends ByClassesGenericModel

A generic interface to define methods to interact with the underlying data model.

Method Summary
`boolean` | `getCIBData(javax.management.ObjectName objectName, CIBMonitoredObjectElement monitoredObjectElement)` Return true if the given CIBMonitoredObject has changes since last call; false otherwise.
`boolean` | `getJ2EEData(javax.management.ObjectName objectName, J2EEMonitoredObjectElement monitoredObjectElement)` Return true if the given J2EEMonitoredObject has changes since last call; false otherwise.

Methods inherited from interface com.sun.management.oss.impl.model.ByClassesGenericModel
`isOfClass, isValidClass`

Methods inherited from interface com.sun.management.oss.impl.model.GenericModel
`getObservableAttributes, getObservableObjectClasses, getObservableObjects, getSupportedGranularities, getSupportedObservableObjects, isMatchingNamingRules, setMBS`

Method Detail

### getCIBData

    public boolean getCIBData(javax.management.ObjectName objectName,
                              CIBMonitoredObjectElement monitoredObjectElement)
                       throws java.lang.IllegalStateException

  Return true if the given CIBMonitoredObject has changes since last call; false otherwise.

  Parameters:
    `objectName` - an ObjectName instance that identifies the desired monitored object within the MBeanServer.
    `monitoredObjectElement` - the element that holds intern attribute values.
  Returns:
    true if the given CIBMonitoredObject has changes since last call; false otherwise.
  Throws:
    `java.lang.IllegalStateException` - raised when the monitored object is not a state provider or unreachable.

### getJ2EEData

    public boolean getJ2EEData(javax.management.ObjectName objectName,
                               J2EEMonitoredObjectElement monitoredObjectElement)

  Return true if the given J2EEMonitoredObject has changes since last call; false otherwise.

  Parameters:
    `objectName` - an ObjectName instance that identifies the desired monitored object within the MBeanServer.
    `monitoredObjectElement` - the element that holds intern attribute values.
  Returns:
    true if the given CIBMonitoredObject has changes since last call; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD